Update a coupon
Updates a coupon. Ticket types are scoped through pages, so any ticketTypeIds must belong to the pageIds sent in the same request, or — when pageIds are omitted — to the pages already on the coupon.
/v1/coupons/:couponIdAuthorization
api_key_auth API key authentication. Use "Bearer YOUR_API_KEY" format.
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://api.checkoutpage.com/v1/coupons/:couponId" \ -H "Content-Type: application/json" \ -d '{}'{
"data": {
"id": "string",
"label": "Free shipping within US",
"code": "10Off",
"amountOff": 0,
"currency": "string",
"percentOff": 0,
"appliesToSetupFee": true,
"duration": "once",
"durationInMonths": 0,
"redeemBy": "2019-08-24T14:15:22Z",
"maxRedemptions": 0,
"timesRedeemed": 0,
"deleted": false,
"sellerId": "string",
"pageIds": [
"string"
],
"ticketTypeIds": [
"67ee075004de439ab0b675b6",
"67fcbdac6a91c25ef2d3534a"
],
"stripeCouponId": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}{
"status": "error",
"type": "error",
"message": "Not Found",
"errors": [
{
"param": "string",
"message": "string",
"value": null
}
],
"property1": null,
"property2": null
}